
mapPath = "./maps.jl/"
dispatcherPath = "./Dispatchers/"

N = 10
seed = 3,
map = (:star_grid_map,(32,32))
cost = :combined_delays #TODO Implement in Ride Pooling

# Only Limit the number of requests to ensure, that all system get exactly the same requests
requested = 10000 * N

# Random Distribution of dt_earliest_pickup
rng_type = :even
request_type = :resubmission

########## Paretho Parameters
cost_idle_weight_range = (0, 4)
resubmission_time_factor_range = (0.9, 1.5)

#Range for dt_ealiest_pickup
dt_earliest_pickup_range = (0, 3)




#################################################################
### Setting everything up using the specified settings
include("sim_functions.jl")
include(mapPath*"/maps.jl")
include(dispatcherPath *"/dispatchers.jl")

dt_earliest_pickup = rand_value(dt_earliest_pickup_range)
args = (;
routing = :lookup,
random_gens = Dict([request_type => dt_earliest_pickup, ]),
cost_idle_weight = rand_value(cost_idle_weight_range),
resubmission_time_factor = rand_value(resubmission_time_factor_range...),
speed_dict = mapToSpeed[map],
speed_factor = mapTo_t0[map],
)



dispatchers = dispatchers_ν_80[dispatchers_ν_80.map .== map, dispatchers_ν_80.cost .== cost, N_bus.==N]
dispatch = NamedTuple(dispatchers[rand(1:size(dispatchers, 1)), :])

args = merge(args, dispatch)
#################################################################